Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Gregory Heytings <[email-masked]>
Date: Sat, 20 Aug 2022 17:46:20 +0000

>> I can reproduce that, too.  The "Narrow" indication disappears with the 
>> next redisplay cycle, so it seems to be a not-too-grave issue (but a 
>> bug nonetheless).
>
> It doesn't disappear if you keep typing fast enough, or lean on a key.
>

Indeed, it disappear and reappears.

>> It could probably be solved by moving the calculation of "BUF_BEGV (b)
>> > BUF_BEG (b) || BUF_ZV (b) < BUF_Z (b)" from decode_mode_spec to
>> mark_window_display_accurate_1, which would set a one-bit field in 
>> struct buffer.
>>
>> WDYT?
>
> That's too late, I think?  How do we ensure after that the update of the 
> mode-line (in case the hook really wants to change the restriction)?
>

Hmmm...  I guess I need to think about this a bit more!